module interpol_mod

  use par_mod, only: nzmax, maxspec

  implicit none

  real :: uprof(nzmax),vprof(nzmax),wprof(nzmax)
  real :: usigprof(nzmax),vsigprof(nzmax),wsigprof(nzmax)
  real :: rhoprof(nzmax),rhogradprof(nzmax)

  real :: u,v,w,usig,vsig,wsig,pvi

  real :: p1,p2,p3,p4,ddx,ddy,rddx,rddy,dtt,dt1,dt2
  integer :: ix,jy,ixp,jyp,ngrid,indz,indzp
  logical :: depoindicator(maxspec)
  logical :: indzindicator(nzmax)


!$OMP THREADPRIVATE(uprof,vprof,wprof,usigprof,vsigprof,wsigprof,  &
!$OMP   rhoprof,rhogradprof,u,v,w,usig,vsig,wsig,pvi, &
!$OMP   p1,p2,p3,p4,ddx,ddy,rddx,rddy,dtt,dt1,dt2,ix,jy,ixp,jyp, &
!$OMP   ngrid,indz,indzp,depoindicator,indzindicator)


end module interpol_mod


